# Interface TableRowMetadata

interface TableRowMetadata {
__metadata__: {
loading$: ToggleSubject;
};
__rowId: string;
}

- Defined in packages/angular/material/table-system/src/lib/table-row-metadata.ts:3

#####
Index

### Properties

__metadata__
__rowId

## Properties

### __metadata__

__metadata__: {
loading$: ToggleSubject;
}

metadata for the row. Added by the table system to facilitate some features

#### Type declaration

- ##### loading$: ToggleSubject

- Defined in packages/angular/material/table-system/src/lib/table-row-metadata.ts:11

### __rowId

__rowId: string

the unique id of the row. Use to track the row in the table for change detection and other purposes

- Defined in packages/angular/material/table-system/src/lib/table-row-metadata.ts:7